from banbou import _Fichier

def test_doit_impliquer_necessaire(mocker):


    sut = _Fichier()
    sut.extension = "pdf"
    sut.impliquer()

    expected_value = "Necessaire"

    assert sut.implication == expected_value

def test_doit_impliquer_majuscule(mocker):


    sut = _Fichier()
    sut.extension = "DWG"
    sut.impliquer()

    expected_value = "Necessaire"

    assert sut.implication == expected_value

def test_doit_impliquer_a_ignorer(mocker):


    sut = _Fichier()
    sut.extension = "txt"
    sut.impliquer()

    expected_value = "A-ignorer"

    assert sut.implication == expected_value
